Bug 340221 - kernel-2.6.23.1-8.fc7 does not start iwl4965
Summary: kernel-2.6.23.1-8.fc7 does not start iwl4965
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7
Hardware: x86_64 Linux
low
high
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-19 17:58 UTC by Robert 'Bob' Jensen
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version: 2.6.23.1-20.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-01 03:27:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (29.12 KB, text/plain)
2007-10-19 17:58 UTC, Robert 'Bob' Jensen
no flags Details
lspci output (2.29 KB, text/plain)
2007-10-19 17:59 UTC, Robert 'Bob' Jensen
no flags Details

Description Robert 'Bob' Jensen 2007-10-19 17:58:28 UTC
Description of problem: testing kernel builds from koji, none of the 2.6.23
kernels have started my iwl4965 wireless.


Version-Release number of selected component (if applicable): kernel-2.6.23.1-8.fc7

Steps to Reproduce:
1. Install kernel, kernel-devel, kernel-headers and kernel-docs from koji
2. Reboot
3. Wireless fails
  
Actual results:
iwl4965 shows up in dmesg but not in iwconfig

Expected results:
iwl4965 would work

Additional info:
Attaching lspci and dmesg outputs

Comment 1 Robert 'Bob' Jensen 2007-10-19 17:58:28 UTC
Created attachment 232851 [details]
dmesg output

Comment 2 Robert 'Bob' Jensen 2007-10-19 17:59:31 UTC
Created attachment 232861 [details]
lspci output

Comment 3 Robert 'Bob' Jensen 2007-10-21 14:44:51 UTC
Tested with 2.6.23.1-10 with the same results.

Comment 4 John W. Linville 2007-10-22 13:55:40 UTC
Bob, would you mind testing these F8-based kernels?

   http://koji.fedoraproject.org/koji/taskinfo?taskID=203318

Do they work any better for you?

Comment 5 Robert 'Bob' Jensen 2007-10-22 16:12:35 UTC
Sorry John,

I installed kernel, kernel-devel, and kernel-headers. The results were the same.



Comment 6 Robert 'Bob' Jensen 2007-10-23 14:00:33 UTC
It appears that my hardware has a bios bug, could this be part of the problem? 

https://bugzilla.redhat.com/show_bug.cgi?id=251087#c11

Comment 7 John W. Linville 2007-10-23 14:20:39 UTC
Hmmm...well, it certainly might be (at least part of) the problem, but I don't 
see anything to suggest that in bug 251087 comment 3.

FWIW, iwl4965 runs very well on my T61.  Is it possible that you have 
accidentally trigger the rf kill on your laptop?

Comment 8 Robert 'Bob' Jensen 2007-10-23 15:15:37 UTC
The physical switch is functional in the 2.6.22.9-91.fc7 kernel, does not
function in the 2.6.23.1-28.wl.1.fc8 kernel.

Bob

Comment 9 Robert 'Bob' Jensen 2007-11-01 03:27:11 UTC
2.6.23.1-20.fc7 cleared up the issue, thanks John and Chuck! I will close this one.

http://koji.fedoraproject.org/koji/buildinfo?buildID=23094



Note You need to log in before you can comment on or make changes to this bug.